4Suite™ API Documentation

# ► Module Ft.Lib.CommandLine.Arguments

Classes that support advanced arg processing for command-line scripts
Copyright 2004 Fourthought, Inc. (USA).
Detailed license and copyright information: http://4suite.org/COPYRIGHT
Project home, documentation, distributions: http://4suite.org/

Classes: Argument, OneOrMoreArgument, OptionalArgument, RequiredArgument, ZeroOrMoreArgument |  |  |  | Fields: ONE_OR_MORE, OPTIONAL, REQUIRED, ZERO_OR_MORE

## Classes

class Argument

### Methods

__init__(self, name, description, validationFunc=None)

class OneOrMoreArgument(Argument)

### Methods

gen_command_line(self)
validate(self, cmd, args)

### Methods inherited from class Argument

__init__

### Fields

requirements = 4

class OptionalArgument(Argument)

### Methods

gen_command_line(self)
validate(self, cmd, args)

### Methods inherited from class Argument

__init__

### Fields

requirements = 2

class RequiredArgument(Argument)

### Methods

gen_command_line(self)
validate(self, cmd, args)

### Methods inherited from class Argument

__init__

### Fields

requirements = 1

class ZeroOrMoreArgument(Argument)

### Methods

gen_command_line(self)
validate(self, cmd, args)

### Methods inherited from class Argument

__init__

### Fields

requirements = 3

## Fields

ONE_OR_MORE = 4
OPTIONAL = 2
REQUIRED = 1
ZERO_OR_MORE = 3